# Method: projects.calls.recordings.get

Retrieves a Recording identified by the supplied resource name.

The caller must have `voice.recordings.get` permission on the project.

### HTTP request

`GET https://voice.api.enfonica.com/v1beta1/{name}`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">name</span> | <span class="e-code">string</span><br/>The resource name of the Recording to retrieve. Must be of the form `projects/*/calls/*/recordings/*`.

### Query parameters
Parameters | &nbsp;
--|--
<span class="e-code">view</span> | <span class="e-code">enum ([RecordingView](#recordingview))</span><br/>Configuration of partial responses. Defaults to FULL.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of <span class="e-code">[Recording](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.recordings/overview/#resource-recording)</span>.

### RecordingView

Configuration of partial responses for the Recording resource.

Enums | &nbsp;
--|--
<span class="e-code">RECORDING_VIEW_UNSPECIFIED</span> | The default / unset value. The API will default to BASIC for ListRecordings and FULL for GetRecording.
<span class="e-code">BASIC</span> | Includes all fields except [RecordingAudio.uri][enfonica.voice.v1beta1.RecordingAudio.uri]. This is the default for ListRecordings.
<span class="e-code">FULL</span> | Includes all fields. This is the default for GetRecording.

